# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Perl module to read TNEF files
Name:		perl-Convert-TNEF
Version:	0.18
Release:	7.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Convert-TNEF/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOUGW/Convert-TNEF-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(integer)
BuildRequires:	perl(IO::Wrap)
BuildRequires:	perl(MIME::Body)
BuildRequires:	perl(MIME::Tools) >= 5.411a
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
# (no additional dependencies)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(MIME::Tools) >= 5.411a

%description
TNEF stands for Transport Neutral Encapsulation Format, and if you've
ever been unfortunate enough to receive one of these files as an email
attachment, you may want to use this module.

%prep
%setup -q -n Convert-TNEF-%{version} 
 
%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc README
%{perl_vendorlib}/Convert/
%{_mandir}/man3/Convert::TNEF.3*

%changelog
* Wed Aug 10 2016 Paul Howarth <paul@city-fan.org> - 0.18-7
- Classify buildreqs by usage
- Simplify find command using -delete

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 0.18-3
- Drop %%defattr, redundant since rpm 4.4

* Tue Jul 24 2012 Paul Howarth <paul@city-fan.org> - 0.18-1
- Update to 0.18
  - Add IO::Wrap dependency to Makefile.PL (CPAN RT#78412)
  - Change longname() to detect names in newer versions of Outlook
    (CPAN RT#78484)

* Thu Jul 12 2012 Paul Howarth <paul@city-fan.org> - 0.17-18
- BR: perl(Carp), perl(File::Spec) and perl(MIME::Body)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 0.17-13
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Feb  9 2011 Paul Howarth <paul@city-fan.org> - 0.17-12
- BR: perl(IO::Wrap) as perl(MIME::Tools) no longer pulls it in

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.17-11
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> - 0.17-10
- Fix dist tag for RHEL-6 Beta

* Fri Feb 19 2010 Paul Howarth <paul@city-fan.org> - 0.17-9
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Thu Sep  3 2009 Paul Howarth <paul@city-fan.org> - 0.17-8
- Define RPM macros in global scope

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> - 0.17-7
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- BuildRequire perl(ExtUtils::MakeMaker)

* Thu Sep 28 2006 Paul Howarth <paul@city-fan.org> - 0.17-6
- Fix dist tag for development builds
- Remove __perl_version macro, used only once
- Remove __perl_package macro, used only twice
- Remove unused perl_vendorarch macro definition
- Define %%{__id_u} in a more portable way
- Use search.cpan.org download URL
- Use perl(MIME::Tools) rather than perl-MIME-tools for dependencies
- Don't bother setting compiler optimization flags for noarch package
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Own directory %%{perl_vendorlib}/Convert/

* Thu May 19 2005 Paul Howarth <paul@city-fan.org> - 0.17-5
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> - 0.17-4
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system; in such cases, just
  rebuild from the source RPM
- Changed distribution-identifying macros for greater portability

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> - 0.17-3
- Added (Build)Requires: perl-MIME-tools >= 5.411a

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> - 0.17-2
- Unified spec file for Red Hat and Fedora Core

* Tue Feb 03 2004 Paul Howarth <paul@city-fan.org> - 0.17-1.fc1
- Initial RPM build
